HACHA v3.5

DrSoftware@hacha.org
Making life easier... One program at a time

What is Hacha?

Hacha -ax, in Spanish- allows you to break any kind of file in parts as small as 0.01 MB !
You can then transfer the parts to standard 3.5" diskettes, or any other media, thus making big files easy to carry around, share with other people, or send over the Internet. The parts can be reassembled at any time and on any other PC, as long as Hacha is installed on the remote PC.

Hacha 3.5 is fast and easy to use. With this version, you can cut a 600 MB. file in less than 75 seconds, and you can split files up to 2 Gb. without problems. You can choose the source of the file to be split (it could be on a CD) and to choose another location as a target. You can also change the file name if you want.

Hacha 3.5 features a validation code (CRC, Cyclic Redundancy Check) that checks and validates the integrity of a file, thus letting you know whether a file that you reassembled is an exact copy of the original or not. This is particularly important for files downloaded from the Internet, because sometimes downloading fails.

Note: Hacha's CRC is proprietary and cannot be obtained commercially. It is used only in my programs and is one of the fastest around.

Hacha 3.5 is backward compatible, meaning that it can read and reassemble files created with older versions, but the old versions cannot reassemble files created with this one.

SYSTEM REQUIREMENTS

Hacha 3.5 works under either one of these operating systems: OS/2, Windows 95, Windows 98, Windows Me, Windows XP.

Other than that, you are required to be a human being, compatible or cloned, and to have enough memory to remember sending a line to Mahatma "Dr. Software" for this amazing program.

Incidentally, Hacha 3.5 uses many graphics but is only 85 KB big, including the help files.

THE MAIN WINDOW:

The main window presents you with only three options:
  • CORTAR (cut, in Spanish) to break a file apart.
  • PEGAR (join, glue, paste) to reassemble the parts.
  • Languages & Help (must right click on the picture).

It could not be easier!

CORTAR (CUT)

1.- CORTAR. The standard Open window appears, as illustrated below.

2.- Select the file you want to split, then click Open. The "Cortar Como" (Cut How) window appears, with the name of the selected file in the top text box, as illustrated below:

3.- In the "Tamaño" (Size) area of the window, set the size of the split files. The default size is 1.38 MB, but you can set any size you want. To do so, click the 2nd radio button then type the size you want in the small box on the far right. Keep in mind that the minimum size is 0.01 MB.

4.- Select one or more of the following options (they are cumulative):

*- Origen = Destino (Origin = Target)
 Check this option if you want the split files to be created in the folder where the original file resides. (It is assumed that you have permission to write to that folder, otherwise you will get an error message). If you uncheck this option, you will be prompted to choose a different folder as a target for the split files.

*- Borrar Fuente (Delete Source)
 If you check this option, the source file will be deleted after it has been split. Some teletubies have tried this option with CD-ROMs ]:(. Do not check this option if you want to keep the source file.

*- Generar CRC (Activate CRC)
 Check this option to activate the CRC. The program will tell you later whether or not the reassembled file is exactly the same as the original.

5.- Click "Cancelar" (Cancel) to cancel the whole operation. Otherwise, click "Metele Hacha" (Chop It Up) to go on. A message appears, telling you where the split file will be located, and asking you whether you want to continue the operation. Click Yes to start the process.

The program takes you back to the "Cortar Como" window, where you can see in the progress bar how fast the process goes. When the process is over, a message appears, telling you how many seconds the program took to perform the split and how many split files have been created. Click OK.

Notes: If the name of the file you want to split is Kiss_TourJapan.mp3, for example, the split files will be:
Kiss_TourJapan.mp3.0
Kiss_TourJapan.mp3.1
..
..
Kiss_TourJapan.mp3.nn

You can change the name of the file you want to cut in the text box of the "Cortar Como" window.

For example, you can change the name Kiss_TourJapan.mp3 into MySong.mp3.

The split files will be:
MySong.mp3.0
MySong.mp3.1
.. ..
MySong.mp3.nn

However, when you reassemble the split files, the resulting file will take the name of the original one: "Kiss_TourJapan.mp3".

PEGAR

1.- Click PEGAR. The standard Open window appears.
2.- Select the split file with the 0 extension.

For example, if you split "Kiss_TourJapan.mp3" into Kiss_TourJapan.mp3.0, Kiss_TourJapan.mp3.1, and Kiss_TourJapan.mp3.2, etc. Select Kiss_TourJapan.mp3.0, which, in any case, is the only file showing in the Open window.

This file has also an icon representing a split folder. Click Open. The "Pegar" window appears, as illustrated below:

3.- Select one or more of the following options (they are cumulative):

*- Origen = Destino (Origin = Target)
Check this option if you want the split files to be reassembled in the folder where the pieces reside.

If you did not select the option Origen = Destino, a Browse for Folder will appear, allowing you to select a destination folder.

*- Borrar Fuente (Delete Source)
If you check this option, the split files will be deleted after they have been reassembled.

*-Generar CRC (Activate CRC)
Check this option to activate the CRC. The program will tell you later whether or not the reassembled file is exactly the same as the original.

4.- Click "Cancelar" (Cancel) to cancel the whole operation. Otherwise, click "Pegar Archivos" (Join/glue Files) to go on.

If the original file already exists, the program will ask you whether you want to overwrite it.

If you click No, the whole process is canceled and the program takes you back to the main Hacha 3.5 window. Click Yes if you want to overwrite the original file.

When you are back at the Pegar window, the progress bar shows you how fast the process goes. When it is over, a message tells you so. Click OK.

Notes: Programs similar to this one try to split and save files directly to diskettes. With this method, however, you can loose information because, unbeknownst to you, diskettes can have bad clusters. To avoid this problem, it is safer to have a set of properly formatted diskettes and to manually send the split files to the diskettes, using Windows Explorer, for example.

Some user ask for the use of parameters, so here there is the first attempt to use this program with parameters.

If you use as parameter the path and the filename of any file, the program wil try to CUT it in 1 Mb. each part.

If you use as parameter the path and the filename of any zero file (.0), the program wil try to JOIN it.

In both cases the program will show a message when the work is done.

Hacha 3.5 is Freeware!

You can make as many copies as you want and you can share and/or distribute this program as you wish. However, you must include this help file and I ask you not to make money out of this program, or to solicit donations of any kind.

Hacha 3.5 can be downloaded from my website www.hacha.org in many languages. Please, feel free to put a link to my site, or to any of my programs, in your website.

Hacha 3.5 is distributed as is, without any warranty whatsoever, implied or not. Users use this program at their own risk. Dr. Software is not responsible for loss of, and damage to information. No responsibility is taken either for cerebral damage due to use, abuse, and/or misuse of this program.

©Dr. Software. All rights reserved.

Translated by Nicolas Mertens


"Hacha" (Axe - Ascia - Hache) was created for:
Dr. Software More freeware:
http://www.hacha.org
[ Back ]